
import org.jdom.Element;

public class Film {

    private String tytul;
    private int rok;
    private int dlugosc;

    public Film(String tytul, int rok, int dlugosc) {
        this.tytul = tytul;
        this.rok = rok;
        this.dlugosc = dlugosc;
    }

    public Film(Element node) {
        if (!node.getName().equals("film")) {
            throw new RuntimeException("Wrong element type");
        }

        this.tytul = node.getChildText("tytul");
        this.rok = Integer.valueOf(node.getChildText("rok"));
        this.dlugosc = Integer.valueOf(node.getChildText("dlugosc"));
    }

    @Override
    public String toString() {
        String res = "Tytul: " + this.tytul + "\n";
        res += "Rok: " + this.rok + "\n";
        res += "Dlugosc: " + this.dlugosc + "\n";
        return res;
    }
    
    Element toJDOM() {
        Element res=new Element("film");
        
        res.addContent(new Element("tytul").setText(this.tytul));
        res.addContent(new Element("rok").setText(String.valueOf(this.rok)));
        res.addContent(new Element("dlugosc").setText(String.valueOf(this.dlugosc)));
        
        return res;
    }
}
