
import java.util.ArrayList;
import java.util.List;
import org.jdom.Element;

public class Gwiazda {

    private String nazwisko;
    private List<String> adresy = new ArrayList<String>();
    private List<Film> filmy = new ArrayList<Film>();

    Gwiazda(String nazwisko, String adres) {
        this.nazwisko = nazwisko;
        this.adresy.add(adres);
    }

    Gwiazda(Element node) {
        if (!node.getName().equals("gwiazda")) {
            throw new RuntimeException("Wrong element type");
        }


        this.nazwisko = node.getChildText("nazwisko");

        for (Element el : (List<Element>) node.getChildren("adres")) {
            this.adresy.add(el.getText());
        }

        Element filmy = node.getChild("filmy");

        if (filmy != null) {
            for (Element el : (List<Element>) filmy.getChildren("film")) {
                this.filmy.add(new Film(el));
            }
        }

    }

    @Override
    public String toString() {
        String res = "Nazwisko: " + this.nazwisko + "\n";

        for (String adres : this.adresy) {
            res += "Adres: " + adres + "\n";
        }

        if (this.filmy.size() > 0) {
            res += "Wystapil(a) w:\n";
            for (Film film : this.filmy) {
                res += film + "\n";
            }
        }

        return res;
    }

    Element toJDOM() {
        Element res = new Element("gwiazda");

        res.addContent(new Element("nazwisko").setText(this.nazwisko));
        for (String adres : this.adresy) {
            res.addContent(new Element("adres").setText(adres));
        }

        if (this.filmy.size() > 0) {
            Element filmy = new Element("filmy");
            for (Film film : this.filmy) {
                filmy.addContent(film.toJDOM());
            }
            res.addContent(filmy);

        }

        return res;
    }
}
